# ModifyDisksAttributes

## 1. API Description

This API (ModifyDisksAttributes) is used to modify the attributes of one or more disks.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description                                                                                                                                                                              |
| -------------- | -------- | --------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| diskIds        | Yes      | Array of String | ID list of disks to be modified.                                                                                                                                                         |
| diskName       | Yes      | String          | <p>New disk name to be displayed.</p><p>The name must start with a number or a letter, containing up to 64 characters.</p><p>Only letters, numbers, - and periods (.) are supported.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Modify the attributes of one or more disks.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyDisksAttributes
<Common Request Params>

Request:
{
  "diskIds": [
    "your-disk-id"
  ],
  "diskName": "newDiskName"
}

Response:
{
  "requestId": "TBC8CAEA6-67DF-43D1-81F8-39E0FBF39DBF",
  "response": {
    "requestId": "TBC8CAEA6-67DF-43D1-81F8-39E0FBF39DBF"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code                | Description          |
| ---------------- | ------------------------- | -------------------- |
| 404              | INVALID\_DISK\_NOT\_FOUND | Disk does not exist. |
